Subject: [linux-sunxi] Problem with Allwinner H3 clocks

From: [email-masked] (Hans de Goede)
Date: Wed, 27 Jan 2016 19:16:42 +0100

Hi,

On 27-01-16 17:55, Jean-Francois Moine wrote:
> On Wed, 27 Jan 2016 15:36:21 +0100
> Jens Kuske <[email-masked]> wrote:
>
>> That sounds strange, 4.5-rc1 is working perfectly fine for me too.
>>
>> I doubt the patch you linked is responsible for making it work, it only
>> removes the hardcoded output-names. If your DT isn't messed up this
>> isn't relevant at all since pll8, the initial reason for this patch, is
>> only a dummy clock for now. Are you sure you are using a clean v4.5-rc1
>> without any own modifications?
>
> To be sure, I generated a pure 4.5-rc1 kernel. Same result: no UART.
> Maybe... one more information: I am using Allwinner's u-boot.

Could be that that is the culprit, why are you not using upstream u-boot?
upstream u-boot has H3 and orangepi-pc support now.

Regards,

Hans